gtkmm: Gdk Namespace Reference

gtkmm 3.15.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
Gdk Namespace Reference

## Namespaces
| Cairo

## Classes
class | AppLaunchContext
| This is an implementation of Gio::AppLaunchContext that handles launching an application in a graphical context. More...
class | Color
| Gdk::Color is used to describe an allocated or unallocated color. More...
class | Cursor
| This represents a cursor. More...
class | Device
| A Gdk::Device instance contains a detailed description of an extended input device. More...
class | DeviceManager
| Functions for handling input devices. More...
class | Display
| Gdk::Display object's purpose is two fold: To grab/ungrab keyboard focus and mouse pointer To manage and provide information about the Gdk::Screen(s) available for this Gdk::Display. More...
class | DisplayManager
| The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...
class | DragContext
| A Gdk::DragContext holds information about a drag in progress. More...
class | Event
class | Pixbuf
class | PixbufAnimation
| The gdk-pixbuf library provides a simple mechanism to load and represent animations. More...
class | PixbufAnimationIter
| An iterator which points to a certain position in a PixbufAnimation. More...
class | PixbufError
| Exception class for Gdk::Pixbuf errors. More...
class | PixbufFormat
class | PixbufLoader
class | Point
| This is a simple structure containing an x and y coordinate of a point. More...
class | Rectangle
| Gdk::Rectangle is a structure holding the position and size of a rectangle. More...
class | RGBA
| An RGBA Color. More...
class | Screen
| Object representing a physical screen Gdk::Screen objects are the GDK representation of a physical screen. More...
class | TimeCoord
| A Gdk::TimeCoord instance contains a single event of motion history. More...
class | Visual
| A Gdk::Visual describes a particular video hardware display format. More...
class | Window
| A Gdk::Window is a rectangular region on the screen. More...

## Typedefs
typedef GdkGeometry | Geometry

## Enumerations
enum | CursorType { X_CURSOR = 0, ARROW = 2, BASED_ARROW_DOWN = 4, BASED_ARROW_UP = 6, BOAT = 8, BOGOSITY = 10, BOTTOM_LEFT_CORNER = 12, BOTTOM_RIGHT_CORNER = 14, BOTTOM_SIDE = 16, BOTTOM_TEE = 18, BOX_SPIRAL = 20, CENTER_PTR = 22, CIRCLE = 24, CLOCK = 26, COFFEE_MUG = 28, CROSS = 30, CROSS_REVERSE = 32, CROSSHAIR = 34, DIAMOND_CROSS = 36, DOT = 38, DOTBOX = 40, DOUBLE_ARROW = 42, DRAFT_LARGE = 44, DRAFT_SMALL = 46, DRAPED_BOX = 48, EXCHANGE = 50, FLEUR = 52, GOBBLER = 54, GUMBY = 56, HAND1 = 58, HAND2 = 60, HEART = 62, ICON = 64, IRON_CROSS = 66, LEFT_PTR = 68, LEFT_SIDE = 70, LEFT_TEE = 72, LEFTBUTTON = 74, LL_ANGLE = 76, LR_ANGLE = 78, MAN = 80, MIDDLEBUTTON = 82, MOUSE = 84, PENCIL = 86, PIRATE = 88, PLUS = 90, QUESTION_ARROW = 92, RIGHT_PTR = 94, RIGHT_SIDE = 96, RIGHT_TEE = 98, RIGHTBUTTON = 100, RTL_LOGO = 102, SAILBOAT = 104, SB_DOWN_ARROW = 106, SB_H_DOUBLE_ARROW = 108, SB_LEFT_ARROW = 110, SB_RIGHT_ARROW = 112, SB_UP_ARROW = 114, SB_V_DOUBLE_ARROW = 116, SHUTTLE = 118, SIZING = 120, SPIDER = 122, SPRAYCAN = 124, STAR = 126, TARGET = 128, TCROSS = 130, TOP_LEFT_ARROW = 132, TOP_LEFT_CORNER = 134, TOP_RIGHT_CORNER = 136, TOP_SIDE = 138, TOP_TEE = 140, TREK = 142, UL_ANGLE = 144, UMBRELLA = 146, UR_ANGLE = 148, WATCH = 150, XTERM = 152, LAST_CURSOR = 153, BLANK_CURSOR = -2, CURSOR_IS_PIXMAP = -1 }
| The standard cursors available. More...
enum | EventMask { EXPOSURE_MASK = 1 << 1, POINTER_MOTION_MASK = 1 << 2, POINTER_MOTION_HINT_MASK = 1 << 3, BUTTON_MOTION_MASK = 1 << 4, BUTTON1_MOTION_MASK = 1 << 5, BUTTON2_MOTION_MASK = 1 << 6, BUTTON3_MOTION_MASK = 1 << 7, BUTTON_PRESS_MASK = 1 << 8, BUTTON_RELEASE_MASK = 1 << 9, KEY_PRESS_MASK = 1 << 10, KEY_RELEASE_MASK = 1 << 11, ENTER_NOTIFY_MASK = 1 << 12, LEAVE_NOTIFY_MASK = 1 << 13, FOCUS_CHANGE_MASK = 1 << 14, STRUCTURE_MASK = 1 << 15, PROPERTY_CHANGE_MASK = 1 << 16, VISIBILITY_NOTIFY_MASK = 1 << 17, PROXIMITY_IN_MASK = 1 << 18, PROXIMITY_OUT_MASK = 1 << 19, SUBSTRUCTURE_MASK = 1 << 20, SCROLL_MASK = 1 << 21, TOUCH_MASK = 1 << 22, SMOOTH_SCROLL_MASK = 1 << 23, ALL_EVENTS_MASK = 0xFFFFFE }
| A set of bit-flags to indicate which events a window is to receive. More...
enum | InputMode { MODE_DISABLED, MODE_SCREEN, MODE_WINDOW }
| An enumeration that describes the mode of an input device. More...
enum | InputSource { SOURCE_MOUSE, SOURCE_PEN, SOURCE_ERASER, SOURCE_CURSOR, SOURCE_KEYBOARD, SOURCE_TOUCHSCREEN, SOURCE_TOUCHPAD }
| An enumeration describing the type of an input device in general terms. More...
enum | DeviceType { DEVICE_TYPE_MASTER, DEVICE_TYPE_SLAVE, DEVICE_TYPE_FLOATING }
| Indicates the device type. More...
enum | GrabOwnership { OWNERSHIP_NONE, OWNERSHIP_WINDOW, OWNERSHIP_APPLICATION }
| Defines how device grabs interact with other devices. More...
enum | GrabStatus { GRAB_SUCCESS, GRAB_ALREADY_GRABBED, GRAB_INVALID_TIME, GRAB_NOT_VIEWABLE, GRAB_FROZEN, GRAB_FAILED }
| Returned by Gdk::Device::grab(), gdk_pointer_grab() and gdk_keyboard_grab() to indicate success or the reason for the failure of the grab attempt. More...
enum | DragAction { ACTION_DEFAULT = 1 << 0, ACTION_COPY = 1 << 1, ACTION_MOVE = 1 << 2, ACTION_LINK = 1 << 3, ACTION_PRIVATE = 1 << 4, ACTION_ASK = 1 << 5 }
| Used in Gdk::DragContext to indicate what the destination should do with the dropped data. More...
enum | DragProtocol { DRAG_PROTO_NONE, DRAG_PROTO_MOTIF, DRAG_PROTO_XDND, DRAG_PROTO_ROOTWIN, DRAG_PROTO_WIN32_DROPFILES, DRAG_PROTO_OLE2, DRAG_PROTO_LOCAL, DRAG_PROTO_WAYLAND }
| Used in Gdk::DragContext to indicate the protocol according to which DND is done. More...
enum | EventType { NOTHING = -1, DELETE = 0, DESTROY = 1, EXPOSE = 2, MOTION_NOTIFY = 3, BUTTON_PRESS = 4, DOUBLE_BUTTON_PRESS = 5, TRIPLE_BUTTON_PRESS = 6, BUTTON_RELEASE = 7, KEY_PRESS = 8, KEY_RELEASE = 9, ENTER_NOTIFY = 10, LEAVE_NOTIFY = 11, FOCUS_CHANGE = 12, CONFIGURE = 13, MAP = 14, UNMAP = 15, PROPERTY_NOTIFY = 16, SELECTION_CLEAR = 17, SELECTION_REQUEST = 18, SELECTION_NOTIFY = 19, PROXIMITY_IN = 20, PROXIMITY_OUT = 21, DRAG_ENTER = 22, DRAG_LEAVE = 23, DRAG_MOTION = 24, DRAG_STATUS = 25, DROP_START = 26, DROP_FINISHED = 27, CLIENT_EVENT = 28, VISIBILITY_NOTIFY = 29, SCROLL = 31, WINDOW_STATE = 32, SETTING = 33, OWNER_CHANGE = 34, GRAB_BROKEN = 35, DAMAGE = 36, TOUCH_BEGIN = 37, TOUCH_UPDATE = 38, TOUCH_END = 39, TOUCH_CANCEL = 40, EVENT_LAST = 41 }
| Specifies the type of the event. More...
enum | AxisUse { AXIS_IGNORE, AXIS_X, AXIS_Y, AXIS_PRESSURE, AXIS_XTILT, AXIS_YTILT, AXIS_WHEEL, AXIS_LAST }
| An enumeration describing the way in which a device axis (valuator) maps onto the predefined valuator types that GTK+ understands. More...
enum | Colorspace { COLORSPACE_RGB }
| This enumeration defines the color spaces that are supported by the gdk-pixbuf library. More...
enum | InterpType { INTERP_NEAREST, INTERP_TILES, INTERP_BILINEAR, INTERP_HYPER }
| This enumeration describes the different interpolation modes that can be used with the scaling functions. More...
enum | PixbufAlphaMode { PIXBUF_ALPHA_BILEVEL, PIXBUF_ALPHA_FULL }
| These values can be passed to gdk_pixbuf_render_to_drawable_alpha() to control how the alpha channel of an image should be handled. More...
enum | PixbufRotation { PIXBUF_ROTATE_NONE = 0, PIXBUF_ROTATE_COUNTERCLOCKWISE = 90, PIXBUF_ROTATE_UPSIDEDOWN = 180, PIXBUF_ROTATE_CLOCKWISE = 270 }
| The possible rotations which can be passed to Gdk::Pixbuf::rotate_simple(). More...
enum | ByteOrder { LSB_FIRST, MSB_FIRST }
enum | ModifierType { SHIFT_MASK = 1 << 0, LOCK_MASK = 1 << 1, CONTROL_MASK = 1 << 2, MOD1_MASK = 1 << 3, MOD2_MASK = 1 << 4, MOD3_MASK = 1 << 5, MOD4_MASK = 1 << 6, MOD5_MASK = 1 << 7, BUTTON1_MASK = 1 << 8, BUTTON2_MASK = 1 << 9, BUTTON3_MASK = 1 << 10, BUTTON4_MASK = 1 << 11, BUTTON5_MASK = 1 << 12, MODIFIER_RESERVED_13_MASK = 1 << 13, MODIFIER_RESERVED_14_MASK = 1 << 14, MODIFIER_RESERVED_15_MASK = 1 << 15, MODIFIER_RESERVED_16_MASK = 1 << 16, MODIFIER_RESERVED_17_MASK = 1 << 17, MODIFIER_RESERVED_18_MASK = 1 << 18, MODIFIER_RESERVED_19_MASK = 1 << 19, MODIFIER_RESERVED_20_MASK = 1 << 20, MODIFIER_RESERVED_21_MASK = 1 << 21, MODIFIER_RESERVED_22_MASK = 1 << 22, MODIFIER_RESERVED_23_MASK = 1 << 23, MODIFIER_RESERVED_24_MASK = 1 << 24, MODIFIER_RESERVED_25_MASK = 1 << 25, SUPER_MASK = 1 << 26, HYPER_MASK = 1 << 27, META_MASK = 1 << 28, MODIFIER_RESERVED_29_MASK = 1 << 29, RELEASE_MASK = 1 << 30, MODIFIER_MASK = 0x5c001fff }
| A set of bit-flags to indicate the state of modifier keys and mouse buttons in various event types. More...
enum | ModifierIntent { MODIFIER_INTENT_PRIMARY_ACCELERATOR, MODIFIER_INTENT_CONTEXT_MENU, MODIFIER_INTENT_EXTEND_SELECTION, MODIFIER_INTENT_MODIFY_SELECTION, MODIFIER_INTENT_NO_TEXT_INPUT, MODIFIER_INTENT_SHIFT_GROUP }
| This enum is used with Gdk::Keymap::get_modifier_mask() in order to determine what modifiers the currently used windowing system backend uses for particular purposes. More...
enum | Status { OK = 0, ERROR = -1, ERROR_PARAM = -2, ERROR_FILE = -3, ERROR_MEM = -4 }
enum | VisualType { VISUAL_STATIC_GRAY, VISUAL_GRAYSCALE, VISUAL_STATIC_COLOR, VISUAL_PSEUDO_COLOR, VISUAL_TRUE_COLOR, VISUAL_DIRECT_COLOR }
| A set of values that describe the manner in which the pixel values for a visual are converted into RGB values for display. More...
enum | WindowState { WINDOW_STATE_WITHDRAWN = 1 << 0, WINDOW_STATE_ICONIFIED = 1 << 1, WINDOW_STATE_MAXIMIZED = 1 << 2, WINDOW_STATE_STICKY = 1 << 3, WINDOW_STATE_FULLSCREEN = 1 << 4, WINDOW_STATE_ABOVE = 1 << 5, WINDOW_STATE_BELOW = 1 << 6, WINDOW_STATE_FOCUSED = 1 << 7, WINDOW_STATE_TILED = 1 << 8 }
| Specifies the state of a toplevel window. More...
enum | WindowType { WINDOW_ROOT, WINDOW_TOPLEVEL, WINDOW_CHILD, WINDOW_TEMP, WINDOW_FOREIGN, WINDOW_OFFSCREEN, WINDOW_SUBSURFACE }
| Describes the kind of window. More...
enum | WindowAttributesType { WA_TITLE = 1 << 1, WA_X = 1 << 2, WA_Y = 1 << 3, WA_CURSOR = 1 << 4, WA_VISUAL = 1 << 5, WA_WMCLASS = 1 << 6, WA_NOREDIR = 1 << 7, WA_TYPE_HINT = 1 << 8 }
| Used to indicate which fields in the Gdk::WindowAttr struct should be honored. More...
enum | WindowHints { HINT_POS = 1 << 0, HINT_MIN_SIZE = 1 << 1, HINT_MAX_SIZE = 1 << 2, HINT_BASE_SIZE = 1 << 3, HINT_ASPECT = 1 << 4, HINT_RESIZE_INC = 1 << 5, HINT_WIN_GRAVITY = 1 << 6, HINT_USER_POS = 1 << 7, HINT_USER_SIZE = 1 << 8 }
| Used to indicate which fields of a Gdk::Geometry struct should be paid attention to. More...
enum | WindowTypeHint { WINDOW_TYPE_HINT_NORMAL, WINDOW_TYPE_HINT_DIALOG, WINDOW_TYPE_HINT_MENU, WINDOW_TYPE_HINT_TOOLBAR, WINDOW_TYPE_HINT_SPLASHSCREEN, WINDOW_TYPE_HINT_UTILITY, WINDOW_TYPE_HINT_DOCK, WINDOW_TYPE_HINT_DESKTOP, WINDOW_TYPE_HINT_DROPDOWN_MENU, WINDOW_TYPE_HINT_POPUP_MENU, WINDOW_TYPE_HINT_TOOLTIP, WINDOW_TYPE_HINT_NOTIFICATION, WINDOW_TYPE_HINT_COMBO, WINDOW_TYPE_HINT_DND }
| These are hints for the window manager that indicate what type of function the window has. More...
enum | WMDecoration { DECOR_ALL = 1 << 0, DECOR_BORDER = 1 << 1, DECOR_RESIZEH = 1 << 2, DECOR_TITLE = 1 << 3, DECOR_MENU = 1 << 4, DECOR_MINIMIZE = 1 << 5, DECOR_MAXIMIZE = 1 << 6 }
| These are hints originally defined by the Motif toolkit. More...
enum | WMFunction { FUNC_ALL = 1 << 0, FUNC_RESIZE = 1 << 1, FUNC_MOVE = 1 << 2, FUNC_MINIMIZE = 1 << 3, FUNC_MAXIMIZE = 1 << 4, FUNC_CLOSE = 1 << 5 }
| These are hints originally defined by the Motif toolkit. More...
enum | WindowEdge { WINDOW_EDGE_NORTH_WEST, WINDOW_EDGE_NORTH, WINDOW_EDGE_NORTH_EAST, WINDOW_EDGE_WEST, WINDOW_EDGE_EAST, WINDOW_EDGE_SOUTH_WEST, WINDOW_EDGE_SOUTH, WINDOW_EDGE_SOUTH_EAST }
| Determines a window edge or corner. More...
enum | Gravity { GRAVITY_NORTH_WEST = 1, GRAVITY_NORTH, GRAVITY_NORTH_EAST, GRAVITY_WEST, GRAVITY_CENTER, GRAVITY_EAST, GRAVITY_SOUTH_WEST, GRAVITY_SOUTH, GRAVITY_SOUTH_EAST, GRAVITY_STATIC }
enum | FullscreenMode { FULLSCREEN_ON_CURRENT_MONITOR, FULLSCREEN_ON_ALL_MONITORS }
| Indicates which monitor (in a multi-head setup) a window should span over when in fullscreen mode. More...

## Functions
EventMask | operator| (EventMask lhs, EventMask rhs)
EventMask | operator& (EventMask lhs, EventMask rhs)
EventMask | operator^ (EventMask lhs, EventMask rhs)
EventMask | operator~ (EventMask flags)
EventMask& | operator|= (EventMask& lhs, EventMask rhs)
EventMask& | operator&= (EventMask& lhs, EventMask rhs)
EventMask& | operator^= (EventMask& lhs, EventMask rhs)
DragAction | operator| (DragAction lhs, DragAction rhs)
DragAction | operator& (DragAction lhs, DragAction rhs)
DragAction | operator^ (DragAction lhs, DragAction rhs)
DragAction | operator~ (DragAction flags)
DragAction& | operator|= (DragAction& lhs, DragAction rhs)
DragAction& | operator&= (DragAction& lhs, DragAction rhs)
DragAction& | operator^= (DragAction& lhs, DragAction rhs)
ModifierType | operator| (ModifierType lhs, ModifierType rhs)
ModifierType | operator& (ModifierType lhs, ModifierType rhs)
ModifierType | operator^ (ModifierType lhs, ModifierType rhs)
ModifierType | operator~ (ModifierType flags)
ModifierType& | operator|= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator&= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator^= (ModifierType& lhs, ModifierType rhs)
WindowState | operator| (WindowState lhs, WindowState rhs)
WindowState | operator& (WindowState lhs, WindowState rhs)
WindowState | operator^ (WindowState lhs, WindowState rhs)
WindowState | operator~ (WindowState flags)
WindowState& | operator|= (WindowState& lhs, WindowState rhs)
WindowState& | operator&= (WindowState& lhs, WindowState rhs)
WindowState& | operator^= (WindowState& lhs, WindowState rhs)
WindowAttributesType | operator| (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | operator& (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | operator^ (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | operator~ (WindowAttributesType flags)
WindowAttributesType& | operator|= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowAttributesType& | operator&= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowAttributesType& | operator^= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowHints | operator| (WindowHints lhs, WindowHints rhs)
WindowHints | operator& (WindowHints lhs, WindowHints rhs)
WindowHints | operator^ (WindowHints lhs, WindowHints rhs)
WindowHints | operator~ (WindowHints flags)
WindowHints& | operator|= (WindowHints& lhs, WindowHints rhs)
WindowHints& | operator&= (WindowHints& lhs, WindowHints rhs)
WindowHints& | operator^= (WindowHints& lhs, WindowHints rhs)
WMDecoration | operator| (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator& (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator^ (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator~ (WMDecoration flags)
WMDecoration& | operator|= (WMDecoration& lhs, WMDecoration rhs)
WMDecoration& | operator&= (WMDecoration& lhs, WMDecoration rhs)
WMDecoration& | operator^= (WMDecoration& lhs, WMDecoration rhs)
WMFunction | operator| (WMFunction lhs, WMFunction rhs)
WMFunction | operator& (WMFunction lhs, WMFunction rhs)
WMFunction | operator^ (WMFunction lhs, WMFunction rhs)
WMFunction | operator~ (WMFunction flags)
WMFunction& | operator|= (WMFunction& lhs, WMFunction rhs)
WMFunction& | operator&= (WMFunction& lhs, WMFunction rhs)
WMFunction& | operator^= (WMFunction& lhs, WMFunction rhs)
int | screen_width ()
int | screen_height ()
int | screen_width_mm ()
int | screen_height_mm ()
void | flush ()

## Typedef Documentation

typedef GdkGeometry Gdk::Geometry

## Enumeration Type Documentation

enum Gdk::ByteOrder

Enumerator
LSB_FIRST | The values are stored with the least-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0xcc, 0xee, 0xff, 0x00.
MSB_FIRST | The values are stored with the most-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0x00, 0xff, 0xee, 0xcc.

enum Gdk::Gravity

Enumerator
GRAVITY_NORTH_WEST | The reference point is at the top left corner.
GRAVITY_NORTH | The reference point is in the middle of the top edge.
GRAVITY_NORTH_EAST | The reference point is at the top right corner.
GRAVITY_WEST | The reference point is at the middle of the left edge.
GRAVITY_CENTER | The reference point is at the center of the window.
GRAVITY_EAST | The reference point is at the middle of the right edge.
GRAVITY_SOUTH_WEST | The reference point is at the lower left corner.
GRAVITY_SOUTH | The reference point is at the middle of the lower edge.
GRAVITY_SOUTH_EAST | The reference point is at the lower right corner.
GRAVITY_STATIC | The reference point is at the top left corner of the window itself, ignoring window manager decorations.

## Function Documentation

void Gdk::flush | ( |  | ) |

int Gdk::screen_height | ( |  | ) |

int Gdk::screen_height_mm | ( |  | ) |

int Gdk::screen_width | ( |  | ) |

int Gdk::screen_width_mm | ( |  | ) |